<?php

/**
 * Methods for text file handling.
 */
class Textfile {

    const TEXTFILE = 'data.txt';

    /**
     * Writes the data into the textfile.
     *
     * @param $data The data to write into the textfile.
     */
    public function writeData($data) {
        file_put_contents(self::TEXTFILE, $data . '<br>', FILE_APPEND);
    }

    /**
     * Reads the data from the textfile.
     *
     * @return Textfile data.
     */
    public function readData() {
        $data = file_get_contents(self::TEXTFILE);

        return $data;
    }
}