<?php

/**
 * Interface for method definitions for dealing with storage.
 */
interface StorageInterface {

    /**
     * Writes the given data into the storage.
     *
     * @param $data The data to write.
     */
    public function writeData($data);

    /**
     * Reads the data from the storage.
     *
     * @return The read data from storage.
     */
    public function readData();
}
